import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { IUnknownValuePlotting } from "igniteui-react-core";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class AreaSeries extends HorizontalAnchoredCategorySeries implements IUnknownValuePlotting {
    static $t: Type;
    protected bp(): SeriesView;
    protected p4(): CategoryTransitionInMode;
    bv(): SeriesVisibleRangeMode;
    kk(a: SeriesView): void;
    s6: AreaSeriesView;
    protected get_cy(): boolean;
    constructor();
    s7: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    dy(a: Point, b: boolean): boolean;
    jl(a: boolean, b: SeriesView): void;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    unknownValuePlotting: UnknownValuePlotting;
    protected kp(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AreaSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected da: AreaSeries;
    constructor(a: AreaSeries);
    as(): void;
    readonly dm: Path;
    readonly dn: Path;
    readonly dp: Path;
    readonly dq: Path;
    private di;
    private dk;
    private dj;
    private dl;
    db(): void;
    dc(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    dd(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting, h: Clipper): void;
    private de;
    private dg;
    private df;
    private dh;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    protected af(): void;
}
